# frozen_string_literal: true

require_relative "lib/data_fix/version"

Gem::Specification.new do |spec|
  spec.name          = "rails_data_fix"
  spec.version       = DataFix::VERSION
  spec.authors       = ["Adolfo Villafiorita"]
  spec.email         = ["adolfo@shair.tech"]

  spec.summary       = "Manage your data maintenance tasks like they were migrations"
  spec.description   = <<-EOS
 This gem provides a set of commands to manage data maintenance scripts of a Rails application like migrations.  

Each script has a timestamped name; a table in the DBs keeps track of
the scripts which have been run.  Similar to migrations you can run
multiple scripts in the same session.  DataFix keeps track of which
scripts have already run.

We use it at Shair.Tech to simplify testing of migration scripts.
  EOS
  spec.homepage      = "https://ict4g.net/gitea/haoyun/data_fix.git"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.4.0"

  spec.metadata["allowed_push_host"] = "https://www.rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = File.join spec.homepage, "CHANGELOG.org"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
